<%--
%(C) COPYRIGHT International Business Machines Corp. 2013, All Rights Reserved
%US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%><%@ page language="java" contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"
%><%@ page import="com.rivermine.config.property.system.SuiteApplicationDefinition"
%><%@ page import="com.rivermine.util.CookieUtil"
%><%@ page import="com.rivermine.util.StringUtil"
%><%!
public static String getHomePage(String landingApp) {
    if ("PGM".equals(landingApp))
    {
        return SuiteApplicationDefinition.SSM_CONTEXT_ROOT + "/pgm";
    }
    else if ("NONE".equals(landingApp))
    {
        return SuiteApplicationDefinition.SSM_CONTEXT_ROOT + "/vsm?actionName=EditOptionsAction";
    }
    return SuiteApplicationDefinition.SSM_CONTEXT_ROOT + "/vsm";
}
%><%
Cookie[] cookies = request.getCookies();
String contextPath = CookieUtil.getValidatedPath(request.getContextPath());
String landingApp = null;
Cookie landingAppCookie = CookieUtil.getCookieByName("landingApp", cookies);
if (landingAppCookie != null)
{
    landingApp = landingAppCookie.getValue();
    CookieUtil.removeCookie(response, landingAppCookie, contextPath);
}
String targetUrl = null;
Cookie targetUrlCookie = CookieUtil.getCookieByName("targetUrl", cookies);
if (targetUrlCookie != null)
{
    targetUrl = targetUrlCookie.getValue();
    if (StringUtil.isEmptyString(targetUrl) || !targetUrl.startsWith(SuiteApplicationDefinition.SSM_CONTEXT_ROOT))
    {
        targetUrl = null;
    }
    CookieUtil.removeCookie(response, targetUrlCookie, contextPath);
}
if (StringUtil.isEmptyString(targetUrl))
{
    targetUrl = getHomePage(landingApp);
}
//System.err.println("SSO_LANDING ====================targetUrl: " + targetUrl);
%><!DOCTYPE HTML>
<HTML>
<HEAD>
<LINK rel="shortcut icon" type="image/icon" href="favicon.ico">
<META http-equiv="refresh" content="0; url=<%= targetUrl %>">
</HEAD>
</HTML>
