/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;


/**
 * CountryDTOConverter
 * 
 * @author David Jesurum
 */
public class CountryDTOConverter
{
    public static com.emptoris.vsm.sync.dto.CountryDTO convert(com.emptoris.framework.sync.dto.CountryDTO input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.vsm.sync.dto.CountryDTO output = new com.emptoris.vsm.sync.dto.CountryDTO();
        BaseDTOConverter.convertElements(input, output);
        output.setCode(input.getCode());
        output.setIso3Code(input.getIso3Code());
        output.setName(input.getName());
        output.setNumericalCode(input.getNumericalCode());
        output.setRegionCode(input.getRegionCode());
        output.setStateLabel(input.getStateLabel());
        output.setNameTranslation(I18NStringConverter.convert(input.getNameTranslation()));
        return output;
    }
    
    public static com.emptoris.framework.sync.dto.CountryDTO convert(com.emptoris.vsm.sync.dto.CountryDTO input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.framework.sync.dto.CountryDTO output = new com.emptoris.framework.sync.dto.CountryDTO();
        BaseDTOConverter.convertElements(input, output);
        output.setCode(input.getCode());
        output.setIso3Code(input.getIso3Code());
        output.setName(input.getName());
        output.setNumericalCode(input.getNumericalCode());
        output.setRegionCode(input.getRegionCode());
        output.setStateLabel(input.getStateLabel());
        output.setNameTranslation(I18NStringConverter.convert(input.getNameTranslation()));
        return output;
    }
}
