/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;

/**
 * RegionDTOConverter
 * 
 * @author David Jesurum
 */
public class RegionDTOConverter
{
    public static com.emptoris.vsm.sync.dto.RegionDTO convert(com.emptoris.framework.sync.dto.RegionDTO input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.vsm.sync.dto.RegionDTO output = new com.emptoris.vsm.sync.dto.RegionDTO();
        BaseDTOConverter.convertElements(input, output);
        output.setCode(input.getCode());
        output.setDescription(input.getDescription());
        output.setName(input.getName());
        output.setNameTranslation(I18NStringConverter.convert(input.getNameTranslation()));
        output.setParentCode(input.getParentCode());
        return output;
    }
    
    public static com.emptoris.framework.sync.dto.RegionDTO convert(com.emptoris.vsm.sync.dto.RegionDTO input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.framework.sync.dto.RegionDTO output = new com.emptoris.framework.sync.dto.RegionDTO();
        BaseDTOConverter.convertElements(input, output);
        output.setCode(input.getCode());
        output.setDescription(input.getDescription());
        output.setName(input.getName());
        output.setNameTranslation(I18NStringConverter.convert(input.getNameTranslation()));
        output.setParentCode(input.getParentCode());
        return output;
    }
}
