/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;

/**
 * StateDTOConverter
 * 
 * @author David Jesurum
 */
public class StateDTOConverter
{
    public static com.emptoris.vsm.sync.dto.StateDTO convert(com.emptoris.framework.sync.dto.StateDTO input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.vsm.sync.dto.StateDTO output = new com.emptoris.vsm.sync.dto.StateDTO();
        BaseDTOConverter.convertElements(input, output);
        output.setCountryCode(input.getCountryCode());
        output.setName(input.getName());
        output.setShortName(input.getShortName());
        output.setNameTranslation(I18NStringConverter.convert(input.getNameTranslation()));
        return output;
    }

    public static com.emptoris.framework.sync.dto.StateDTO convert(com.emptoris.vsm.sync.dto.StateDTO input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.framework.sync.dto.StateDTO output = new com.emptoris.framework.sync.dto.StateDTO();
        BaseDTOConverter.convertElements(input, output);
        output.setCountryCode(input.getCountryCode());
        output.setName(input.getName());
        output.setShortName(input.getShortName());
        output.setNameTranslation(I18NStringConverter.convert(input.getNameTranslation()));
        return output;
    }
}
