SELECT
    r.HIERARCHY_ID as PK,
    r.NAME as End_Title,
    r.NAME as Name,
    r.NAME_LANG_1 as Name_Lang_1,
    r.NAME_LANG_2 as Name_Lang_2,
    r.NAME_LANG_3 as Name_Lang_3,
    r.NAME_LANG_4 as Name_Lang_4,
    r.CODE as Code,
    r.DESCRIPTION as Description,
    r.DESCRIPTION_LANG_1 as Description_Lang_1,
    r.DESCRIPTION_LANG_2 as Description_Lang_2,
    r.DESCRIPTION_LANG_3 as Description_Lang_3,
    r.DESCRIPTION_LANG_4 as Description_Lang_4,
    p.NAME as Parent,
    ds.NAME as Data_Source
FROM HIERARCHY r
	left outer join DATA_SOURCE ds on r.DATA_SOURCE_ID = ds.DATA_SOURCE_ID
  left outer join HIERARCHY p on r.PARENT_HIERARCHY_ID = r.HIERARCHY_ID
WHERE
	r.OWNER_AID = '[AA_ID]' AND 
    r.RECORD_STATE = 0 AND
    r.HIERARCHY_TYPE = 'region'