select 
	t.TASK_ID as PK, 
	t.NAME as End_Title, 
	t.NAME as Name, 
	t.DESCRIPTION as Description, 
	au.DISPLAY_NAME as Assigned_User,
	task_type.TEXT as Type, 
	task_status.TEXT as Status, 
	p.name as Project,
	pgm.name as Program
from
	PM_TASK t
    left outer join PM_PROJECT p on t.PROJECT_ID = p.PROJECT_ID
    left outer join PROGRAM pgm on p.PROGRAM_ID = pgm.PROGRAM_ID
    left outer join APPLICATION_USER au on t.ASSIGNED_UID = au.AU_ID
    left outer join REFERENCE task_type on t.TYPE = task_type.SUBCATEGORY and task_type.CATEGORY = 'task_type' and task_type.OWNER_AID is null
    left outer join REFERENCE task_status on t.STATUS = task_status.SUBCATEGORY and task_status.CATEGORY = 'task_status' and task_status.OWNER_AID is null
where
	t.OWNER_AID = '[AA_ID]' and
	t.RECORD_STATE = 0