<%--
%(C) COPYRIGHT International Business Machines Corp. 2013, All Rights Reserved
%US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%><%@ page language="java" contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"
%><%@ page import="com.emptoris.framework.sso.UserRegistry"
%><%@ page import="com.rivermine.app.gateway.GatewayProperties"
%><%@ page import="com.rivermine.ui.servlet.RequestContext"
%><%@ page import="com.rivermine.util.CookieUtil"
%><%@ page import="com.rivermine.util.StringUtil"
%><%
boolean isError = "true".equals(request.getParameter("error"));
Cookie[] cookies = request.getCookies();
String contextPath = CookieUtil.getValidatedPath(request.getContextPath());
// remove postLoginWorkflowComplete cookie just-in-case
Cookie postLoginWorkflowCompleteCookie = CookieUtil.getCookieByName("postLoginWorkflowComplete", cookies);
if (postLoginWorkflowCompleteCookie != null)
{
    //CookieUtil.removeSuiteWideCookie(response, postLoginWorkflowCompleteCookie);
    CookieUtil.addSuiteWideCookie(response, "postLoginWorkflowComplete", Boolean.FALSE.toString());
}
boolean isExternalAuth = false;
Cookie isExternalAuthCookie = CookieUtil.getCookieByName("isExternalAuth", cookies);
if (isExternalAuthCookie != null)
{
    isExternalAuth = "true".equalsIgnoreCase(isExternalAuthCookie.getValue());
}
String forwardUrl = null;
if (isError)
{
    forwardUrl = GatewayProperties.getSSMErrorURL();
}
else if (isExternalAuth)
{
    forwardUrl = GatewayProperties.getSSOLogoutURLForExternalAuth();
}
if (StringUtil.isEmptyString(forwardUrl))
{
    forwardUrl = "/emptoris/login.jsp";
}
if (isError)
{
    forwardUrl = CookieUtil.appendQueryParam(forwardUrl, "error", "true");
}
else if ("true".equals(request.getParameter("timeout")))
{
    forwardUrl = CookieUtil.appendQueryParam(forwardUrl, "timeout", "true");
}
//System.err.println(" LOGOUT ==================== forwardUrl: " + forwardUrl);
%><!DOCTYPE HTML>
<HTML>
<HEAD>
<LINK rel="shortcut icon" type="image/icon" href="favicon.ico">
<SCRIPT type="text/javascript" src="js/jquery-1.8.3.min.js"></SCRIPT>
<SCRIPT>
function logout() {
    $.ajax({
        url: '/emptoris/ibm_security_logout',
        cache: false,
        complete: function() {
            redirect();
        }
    });
}
function redirect() {
    window.location = '<%= forwardUrl %>';
}
</SCRIPT>
</HEAD>
<BODY onload="logout()">
</BODY>
</HTML>
