/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;


/**
 * CategoryDTOConverter
 * 
 * @author David Jesurum
 */
public class CategoryDTOConverter
{
    public static com.emptoris.vsm.sync.dto.CategoryDTO convert(com.emptoris.framework.sync.dto.CategoryDTO input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.vsm.sync.dto.CategoryDTO output = new com.emptoris.vsm.sync.dto.CategoryDTO();
        BaseDTOConverter.convertElements(input, output);
        output.setCode(input.getCode());
        output.setDescription(input.getDescription());
        output.setDescriptionTranslation(I18NStringConverter.convert(input.getDescriptionTranslation()));
        output.setKeywords(input.getKeywords());
        output.setKeywordsTranslation(I18NStringConverter.convert(input.getKeywordsTranslation()));
        output.setLevel(input.getLevel());
        output.setName(input.getName());
        output.setNameTranslation(I18NStringConverter.convert(input.getNameTranslation()));
        output.setParentCode(input.getParentCode());
        return output;
    }
    
    public static com.emptoris.framework.sync.dto.CategoryDTO convert(com.emptoris.vsm.sync.dto.CategoryDTO input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.framework.sync.dto.CategoryDTO output = new com.emptoris.framework.sync.dto.CategoryDTO();
        BaseDTOConverter.convertElements(input, output);
        output.setCode(input.getCode());
        output.setDescription(input.getDescription());
        output.setDescriptionTranslation(I18NStringConverter.convert(input.getDescriptionTranslation()));
        output.setKeywords(input.getKeywords());
        output.setKeywordsTranslation(I18NStringConverter.convert(input.getKeywordsTransalation()));
        output.setLevel(input.getLevel());
        output.setName(input.getName());
        output.setNameTranslation(I18NStringConverter.convert(input.getNameTranslation()));
        output.setParentCode(input.getParentCode());
        return output;
    }
}
