/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;

/**
 * CustomAttributeConverter
 * 
 * @author David Jesurum
 */
public class CustomAttributeConverter
{
    public static com.emptoris.vsm.sync.dto.CustomAttribute convert(com.emptoris.framework.sync.dto.CustomAttribute input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.vsm.sync.dto.CustomAttribute output = new com.emptoris.vsm.sync.dto.CustomAttribute();
        output.setBigDecimalValue(input.getBigDecimalValue());
        output.setBooleanValue(input.getBooleanValue());
        output.setDataType(CustomAttributeDataTypeConverter.convert(input.getDataType()));
        output.setDateValue(Utility.convert(input.getDateValue()));
        output.setIntValue(input.getIntValue());
        output.setLongValue(input.getLongValue());
        output.setName(input.getName());
        output.setValue(input.getValue());
        return output;
    }

    public static com.emptoris.framework.sync.dto.CustomAttribute convert(com.emptoris.vsm.sync.dto.CustomAttribute input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.framework.sync.dto.CustomAttribute output = new com.emptoris.framework.sync.dto.CustomAttribute();
        output.setBigDecimalValue(input.getBigDecimalValue());
        output.setBooleanValue(input.getBooleanValue());
        output.setDataType(CustomAttributeDataTypeConverter.convert(input.getDataType()));
        output.setDateValue(Utility.convert(input.getDateValue()));
        output.setIntValue(input.getIntValue());
        output.setLongValue(input.getLongValue());
        output.setName(input.getName());
        output.setValue(input.getValue());
        return output;
    }
}
