/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;

/**
 * CustomAttributeDataTypeConverter
 * 
 * @author David Jesurum
 */
public class CustomAttributeDataTypeConverter
{
    public static com.emptoris.vsm.sync.dto.CustomAttributeDataType convert(com.emptoris.framework.sync.dto.CustomAttributeDataType input)
    {
        if (com.emptoris.framework.sync.dto.CustomAttributeDataType.TEXT.equals(input))
        {
            return com.emptoris.vsm.sync.dto.CustomAttributeDataType.TEXT;
        }
        if (com.emptoris.framework.sync.dto.CustomAttributeDataType.INT.equals(input))
        {
            return com.emptoris.vsm.sync.dto.CustomAttributeDataType.INT;
        }
        if (com.emptoris.framework.sync.dto.CustomAttributeDataType.LONG.equals(input))
        {
            return com.emptoris.vsm.sync.dto.CustomAttributeDataType.LONG;
        }
        if (com.emptoris.framework.sync.dto.CustomAttributeDataType.BIGDECIMAL.equals(input))
        {
            return com.emptoris.vsm.sync.dto.CustomAttributeDataType.BIGDECIMAL;
        }
        if (com.emptoris.framework.sync.dto.CustomAttributeDataType.DATE.equals(input))
        {
            return com.emptoris.vsm.sync.dto.CustomAttributeDataType.DATE;
        }
        if (com.emptoris.framework.sync.dto.CustomAttributeDataType.BOOLEAN.equals(input))
        {
            return com.emptoris.vsm.sync.dto.CustomAttributeDataType.BOOLEAN;
        }
        return null;
    }

    public static com.emptoris.framework.sync.dto.CustomAttributeDataType convert(com.emptoris.vsm.sync.dto.CustomAttributeDataType input)
    {
        if (com.emptoris.vsm.sync.dto.CustomAttributeDataType.TEXT.equals(input))
        {
            return com.emptoris.framework.sync.dto.CustomAttributeDataType.TEXT;
        }
        if (com.emptoris.vsm.sync.dto.CustomAttributeDataType.INT.equals(input))
        {
            return com.emptoris.framework.sync.dto.CustomAttributeDataType.INT;
        }
        if (com.emptoris.vsm.sync.dto.CustomAttributeDataType.LONG.equals(input))
        {
            return com.emptoris.framework.sync.dto.CustomAttributeDataType.LONG;
        }
        if (com.emptoris.vsm.sync.dto.CustomAttributeDataType.BIGDECIMAL.equals(input))
        {
            return com.emptoris.framework.sync.dto.CustomAttributeDataType.BIGDECIMAL;
        }
        if (com.emptoris.vsm.sync.dto.CustomAttributeDataType.DATE.equals(input))
        {
            return com.emptoris.framework.sync.dto.CustomAttributeDataType.DATE;
        }
        if (com.emptoris.vsm.sync.dto.CustomAttributeDataType.BOOLEAN.equals(input))
        {
            return com.emptoris.framework.sync.dto.CustomAttributeDataType.BOOLEAN;
        }
        return null;
    }
}
