/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;

/**
 * UserDTOConverter
 * 
 * @author David Jesurum
 */
public class UserDTOConverter
{
    public static com.emptoris.vsm.sync.dto.UserDTO convert(com.emptoris.framework.sync.dto.UserDTO input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.vsm.sync.dto.UserDTO output = new com.emptoris.vsm.sync.dto.UserDTO();
        output.setAlternateEmail(input.getAlternateEmail());
        output.setAddresses(AddressConverter.convert(input.getAddresses()));
        output.setBusinessTitle(input.getBusinessTitle());
        output.setCreatedBy(input.getCreatedBy());
        output.setCreatedOn(Utility.convert(input.getCreatedOn()));
        output.setCurrencyCode(input.getCurrencyCode());
        output.setDateFormat(input.getDateFormat());
        output.setDeleted(input.getDeleted());
        output.setDisplayName(input.getDisplayName());
        output.setEmailAddress(input.getEmailAddress());
        output.setEnableNotification(input.getEnableNotification());
        output.setExternal(input.getExternal());
        output.setExternalSourceId(input.getExternalSourceId());
        output.setExternalSourceName(input.getExternalSourceName());
        output.setFirstName(input.getFirstName());
        output.setIdentifier(input.getIdentifier());
        output.setLastName(input.getLastName());
        output.setLinkedCategories(Utility.convert(input.getLinkedCategories()));
        output.setLocale(input.getLocale());
        output.setManagerUUID(input.getManagerUUID());
        output.setMiddleName(input.getMiddleName());
        output.setNotes(input.getNotes());
        output.setNumberFormat(input.getNumberFormat());
        output.setPhones(PhoneConverter.convert(input.getPhones()));
        output.setProducts(ProductConverter.convert(input.getProducts()));
        output.setSalutation(input.getSalutation());
        output.setSystem(input.getSystem());
        output.setTimezone(input.getTimezone());
        output.setTitle(input.getTitle());
        output.setType(input.getType());
        output.setUpdatedBy(input.getUpdatedBy());
        output.setUpdatedOn(Utility.convert(input.getUpdatedOn()));
        output.setUserName(input.getUserName());
        output.setUuId(input.getUuId());
        output.setRemoteId(input.getRemoteId());
        output.setKindOfAuth(input.getKindOfAuth());
        return output;
    }

    public static com.emptoris.framework.sync.dto.UserDTO convert(com.emptoris.vsm.sync.dto.UserDTO input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.framework.sync.dto.UserDTO output = new com.emptoris.framework.sync.dto.UserDTO();
        output.setAlternateEmail(input.getAlternateEmail());
        output.setAddresses(AddressConverter.convert(input.getAddresses()));
        output.setBusinessTitle(input.getBusinessTitle());
        output.setCreatedBy(input.getCreatedBy());
        output.setCreatedOn(Utility.convert(input.getCreatedOn()));
        output.setCurrencyCode(input.getCurrencyCode());
        output.setDateFormat(input.getDateFormat());
        output.setDeleted(input.getDeleted());
        output.setDisplayName(input.getDisplayName());
        output.setEmailAddress(input.getEmailAddress());
        output.setEnableNotification(input.getEnableNotification());
        output.setExternal(input.getExternal());
        output.setExternalSourceId(input.getExternalSourceId());
        output.setExternalSourceName(input.getExternalSourceName());
        output.setFirstName(input.getFirstName());
        output.setIdentifier(input.getIdentifier());
        output.setLastName(input.getLastName());
        output.setLinkedCategories(Utility.convert(input.getLinkedCategories()));
        output.setLocale(input.getLocale());
        output.setManagerUUID(input.getManagerUUID());
        output.setMiddleName(input.getMiddleName());
        output.setNotes(input.getNotes());
        output.setNumberFormat(input.getNumberFormat());
        output.setPhones(PhoneConverter.convert(input.getPhones()));
        output.setProducts(ProductConverter.convert(input.getProducts()));
        output.setSalutation(input.getSalutation());
        output.setSystem(input.getSystem());
        output.setTimezone(input.getTimezone());
        output.setTitle(input.getTitle());
        output.setType(input.getType());
        output.setUpdatedBy(input.getUpdatedBy());
        output.setUpdatedOn(Utility.convert(input.getUpdatedOn()));
        output.setUserName(input.getUserName());
        output.setUuId(input.getUuId());
        output.setRemoteId(input.getRemoteId());
        output.setKindOfAuth(input.getKindOfAuth());
        return output;
    }
}
