/*
 * Copyright 2012 Emptoris Inc. All rights reserved.
 * Emptoris PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.vsm.sync.dto;

import java.util.List;

/**
 * @author hyang
 *
 */
public class Linkage implements java.io.Serializable {

    private String _vsmInternalId;
    private String _dataSourceAppId;
    private List<CustomAttribute> _customAttributes; // User Define attributes
    
    
    /**
     * @return The id of the target being linked to.
     */
    public String getDataSourceAppId()
    {
        return _dataSourceAppId;
    }
    /**
     * @param dataSourceAppId The id of the target being linked to.
     */
    public void setDataSourceAppId(String dataSourceAppId)
    {
        this._dataSourceAppId = dataSourceAppId;
    }
    /**
     * @return A list of custom attributes.
     */
    public List<CustomAttribute> getCustomAttributes()
    {
        return _customAttributes;
    }
    /**
     * @param customAttribute A list of custom attributes.
     */
    public void setCustomAttribute(List<CustomAttribute> customAttributes)
    {
        this._customAttributes = customAttributes;
    }
    /**
     * @return the id of the record in VSM being linked to.
     */
    public String getVsmInternalId()
    {
        return _vsmInternalId;
    }
    /**
     * @param vsmInternalId the id of the record in VSM being linked to.
     */
    public void setVsmInternalId(String vsmInternalId)
    {
        this._vsmInternalId = vsmInternalId;
    }
    
    
}
