package com.emptoris.vsm.sync.dto;

import java.util.List;

public class Product
{
    private String suiteApp;
    private Boolean enabled;
    private List<String> groupUuids;

    // SLM
    private String dataSourceAppId;
    private Long supplierId;
    private Integer firstDayOfTheWeek;

    // ECM
    private String landingPage;
    private String organizationUuid;
	private Boolean participateInContract;

    // Sourcing
    private String language;
    private String homepage;
    private String defaultWizardMode;
    private String dateFormat;
    private String numberFormat;
    private String enabledModules;
    private List<String> linkedChildOrgs;

    public Product()
    {
        // empty default constructor
    }

    public String getSuiteApp()
    {
        return suiteApp;
    }

    public void setSuiteApp(String suiteApp)
    {
        this.suiteApp = suiteApp;
    }

    public Boolean getEnabled()
    {
        return enabled;
    }

    public void setEnabled(Boolean enabled)
    {
        this.enabled = enabled;
    }

    public List<String> getGroupUuids()
    {
        return groupUuids;
    }

    public void setGroupUuids(List<String> groupUuids)
    {
        this.groupUuids = groupUuids;
    }

    public String getDataSourceAppId()
    {
        return dataSourceAppId;
    }

    public void setDataSourceAppId(String dataSourceAppId)
    {
        this.dataSourceAppId = dataSourceAppId;
    }

    public Long getSupplierId()
    {
        return supplierId;
    }

    public void setSupplierId(Long supplierId)
    {
        this.supplierId = supplierId;
    }

    public String getLandingPage()
    {
        return landingPage;
    }

    public void setLandingPage(String landingPage)
    {
        this.landingPage = landingPage;
    }

    public String getOrganizationUuid()
    {
        return organizationUuid;
    }

    public void setOrganizationUuid(String organizationUuid)
    {
        this.organizationUuid = organizationUuid;
    }

    public Boolean getParticipateInContract()
    {
        return participateInContract;
    }

    public void setParticipateInContract(Boolean participateInContract)
    {
        this.participateInContract = participateInContract;
    }

    public String getLanguage()
    {
        return language;
    }

    public void setLanguage(String language)
    {
        this.language = language;
    }

    public String getHomepage()
    {
        return homepage;
    }

    public void setHomepage(String homepage)
    {
        this.homepage = homepage;
    }

    public String getDefaultWizardMode()
    {
        return defaultWizardMode;
    }

    public void setDefaultWizardMode(String defaultWizardMode)
    {
        this.defaultWizardMode = defaultWizardMode;
    }

    public String getEnabledModules()
    {
        return enabledModules;
    }

    public void setEnabledModules(String enabledModules)
    {
        this.enabledModules = enabledModules;
    }

    public String getDateFormat()
    {
        return dateFormat;
    }

    public void setDateFormat(String dateFormat)
    {
        this.dateFormat = dateFormat;
    }

    public String getNumberFormat()
    {
        return numberFormat;
    }

    public void setNumberFormat(String numberFormat)
    {
        this.numberFormat = numberFormat;
    }

    public Integer getFirstDayOfTheWeek()
    {
        return firstDayOfTheWeek;
    }

    public void setFirstDayOfTheWeek(Integer firstDayOfTheWeek)
    {
        this.firstDayOfTheWeek = firstDayOfTheWeek;
    }

    public List<String> getLinkedChildOrgs()
    {
        return linkedChildOrgs;
    }

    public void setLinkedChildOrgs(List<String> linkedChildOrgs)
    {
        this.linkedChildOrgs = linkedChildOrgs;
    }
}

