/**
 * Copyright 2012 IBM. All rights reserved.
 * IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.vsm.sync.dto;

import java.util.List;


/**
 * @author hyang
 *
 * Data class for synchronizing the region tree.
 */
public class StateDTO extends BaseDTO
{
    private String shortName;
	private String name;
	private String countryCode;
	
    private List<I18nString> nameTranslation;


	/**
	 * @param shortName the shortName to set
	 */
	public void setShortName(String shortName) {
		this.shortName = shortName;
	}

	/**
	 * @return the shortName
	 */
	public String getShortName() {
		return shortName;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

    /**
     * @return the code of the parent country.
     */
    public String getCountryCode() {
        return countryCode;
    }

    /**
     * @param countryCode the code of the parent country.
     */
    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    /**
     * @return the nameTranslation
     */
    public List<I18nString> getNameTranslation() {
        return nameTranslation;
    }

    /**
     * @param nameTranslation the nameTranslation to set
     */
    public void setNameTranslation(List<I18nString> nameTranslation) {
        this.nameTranslation = nameTranslation;
    }

}
