package com.emptoris.vsm.sync.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Yaniv Or-Shahar
 * @author Irina.Kavsan
 *
 */
public class UserGroupDTO implements Serializable
{
    private String _uuId;
    private Boolean _deleted = Boolean.FALSE;
    private String _groupName;
    private String _description;
    private Boolean _external;
    private String _suiteApp;
    private String _remoteId;

    private String createdBy;
    private Date createdOn;
    private String updatedBy;
    private Date updatedOn;

    public UserGroupDTO()
    {
        // empty default constructor
    }

    public String getUuId()
    {
        return _uuId;
    }

    public void setUuId(String uuId)
    {
        _uuId = uuId;
    }

    public Boolean getDeleted()
    {
        return _deleted;
    }

    public void setDeleted(Boolean deleted)
    {
        _deleted = deleted;
    }

    public String getGroupName()
    {
        return _groupName;
    }

    public void setGroupName(String groupName)
    {
        _groupName = groupName;
    }

    public String getDescription()
    {
        return _description;
    }

    public void setDescription(String description)
    {
        _description = description;
    }

    public Boolean isExternal()
    {
        return _external;
    }

    public void setExternal(Boolean external)
    {
        _external = external;
    }

    public String getSuiteApp()
    {
        return _suiteApp;
    }

    public void setSuiteApp(String suiteApp)
    {
        _suiteApp = suiteApp;
    }

    public String getRemoteId()
    {
        return _remoteId;
    }

    public void setRemoteId(String remoteId)
    {
        _remoteId = remoteId;
    }

    public String getCreatedBy()
    {
        return createdBy;
    }

    public void setCreatedBy(String createdBy)
    {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn()
    {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn)
    {
        this.createdOn = createdOn;
    }

    public String getUpdatedBy()
    {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy)
    {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedOn()
    {
        return updatedOn;
    }

    public void setUpdatedOn(Date updatedOn)
    {
        this.updatedOn = updatedOn;
    }
}
